跳至內容

Pika Scenes (v2.2)

整合

模型 id pika/v2.2/pikascenes
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/pika/v2.2/pikascenes?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ],
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: $0.45 450 API 點數 · ≈ ₽48.41 在此頁面執行

取得 API 金鑰
Pika 圖像轉影片 5–10 秒最高 1080p #editing#effects#animation

將多張參考圖片合併為一部影片,支援精確或創意混合

Pika · 影片

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填

要生成之影片的文字描述。

•必填 image_urls
拖放檔案,或

識別將合併成影片之來源圖像的 URL。

duration 5 s

輸出影片長度,以秒為單位。

aspect_ratio 預設 16:9

輸出影片的寬高比。

resolution 預設 1080p

輸出影片的解析度。

進階 negative_prompt · ingredients_mode · seed
預設 ugly, bad, terrible

用於模型引導的負面提示詞。

ingredients_mode 預設 precise

多圖整合模式,可選擇精確模式以獲得更高準確度,或 creative 模式以獲得更高創意性。

隨機數產生器使用的種子值。

POST /run/pika/v2.2/pikascenes?wait=20 報價 → $0.45
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/pika/v2.2/pikascenes?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ],
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Pika Scenes (v2.2)

從 `image_urls` 將多張圖片合併為單一片段,並由必要的 `prompt` 引導。`ingredients_mode` 可在更貼近來源的 precise 與更自由的 creative 之間切換。支援七種長寬比、720p 或 1080p(預設 1080p),以及 5 或 10 秒的持續時間。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
image_urls必填 images
類型url[] · image
識別將合併成影片之來源圖像的 URL。
prompt必填
類型string
要生成之影片的文字描述。
negative_prompt選填
類型string
預設值ugly, bad, terrible
用於模型引導的負面提示詞。
seed選填
類型integer | null
隨機數產生器使用的種子值。
aspect_ratio選填
類型enum
預設值16:9
16:99:161:14:55:43:22:3
輸出影片的寬高比。
resolution選填
類型enum
預設值1080p
720p1080p
輸出影片的解析度。
duration選填
類型enum
預設值5
510
輸出影片長度,以秒為單位。
ingredients_mode選填
類型enum
預設值precise
precisecreative
多圖整合模式,可選擇精確模式以獲得更高準確度,或 creative 模式以獲得更高創意性。
必填 標準名稱,也可使用

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "pika/v2.2/pikascenes",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 450,
    "usd": "0.45",
    "charged": 450,
    "refunded": 0
  },
  "input": {
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ],
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
video
object {url, content_type, file_name, file_size}由多張圖像組合而成的生成影片。

更多模型:圖像轉影片

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/pika/v2.2/pikascenes.md. 所有模型與指南: https://doitong.com/developers/llms.txt